- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_client_pool_t

# mongoc_client_pool_try_pop()

## Synopsis

    mongoc_client_t *
    mongoc_client_pool_try_pop (mongoc_client_pool_t *pool);

This function is identical to mongoc_client_pool_pop() except it will return `NULL` instead of blocking for a client to become available.

## Parameters

- `pool`: A mongoc_client_pool_t.

## Returns

A mongoc_client_t if one is immediately available, otherwise `NULL`.

## Thread Safety

This function is safe to call from multiple threads.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.